# Multisig Admin Rights

The ProtocolDAO is a Gnosis Safe multisig 4/6 to be found on&#x20;

* Ethereum Mainnet: [0xF6FF1F7FCEB2cE6d26687EaaB5988b445d0b94a2](https://etherscan.io/address/0xF6FF1F7FCEB2cE6d26687EaaB5988b445d0b94a2)
* Polygon: [0x429F29A3A36B1B977C3d4Ec77C695c3391e7B9ED](https://polygonscan.com/address/0x429F29A3A36B1B977C3d4Ec77C695c3391e7B9ED)

{% hint style="info" %}
Each Signer is responsible to check that a transaction has governance approval. The Signer-Group consists of Core Contributors and Community Members.
{% endhint %}

The Multisig has the following admin functions with Timelocks:

* Propose and Accept new Implementation Contract of Upgradable Contracts (Proxy Contract, 7 days time-lock), see [Proxy Contracts](#proxy-contracts-with-7-days-time-lock)
* Propose and Accept new Modules in the Nexus Contract (7 days time-lock), see [Nexus Modules](#undefined)

### Pause Controls for unhealthy basket

* The Multisig can Pause the following contracts in case the basket of mAssets is undercollaterized and therefore becomes unhealthy:
  * mAssets (mUSD and mBTC)
  * FeederPool and NonPeggedFeederPool
  * SavingsManager (to collect and distribute interest to the SavingsContract)
  * SavingsContract (if flag to collect and stream interesting is true, see SavingsManager)

### Proxy contracts with 7 days time-lock

* mAsset (mUSD and mBTC)
* imAsset (SavingsContract)
* FeederPools
* NonPeggedFeederPool
* BoostedSavingsVault
* BoostedSavingsVault V2
* BoostedDualVault
* LiquidatorProxy
* Staked MTA (stkMTA)
* Staked mBPT (stkBPT)
* Quest Manager

### Proxy contracts with no time-lock

These will be changed to a 7 day time-lock after 2 months of usage.

* Convex 3Crv Vaults
* Meta Vault of Convex 3Crv Vaults
* USDC 3Pool Convex Meta Vault
* CowSwapDex
* Liquidator

### Immutable Contracts

* Nexus
* MetaToken
* Aave Integrations
* CREAM integrations
* Compound Integrations
* Governance Collector
* Revenue Recipient
* BoostDirector V2
* SavingsManager
* DelayedProxyAdmin
* Reward Distributor
* Poker of Boosted Vaults
* Save Wrapper
* Emissions Controller
* VotiumBribeForwarder
* BasicRewardsForwarder
* RevenueBuyBack

### Nexus modules

* MetaToken
* SavingsManager
* Liquidator
* LiquidatorV2
* Treasury
* InterestValidator
* Keeper
* Governor
* ProxyAdmin


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mstable.org/security/multisig-admin-rights.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
